| Wheelchair Control Diploma Thesis, Author: Ondrej Vozda, FEEC BUT, 2013

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Properties Events Pages
Public Types | Public Member Functions | Public Attributes | Static Public Attributes | Properties | Private Attributes | List of all members
World.WheelchairModel Class Reference

Wheelchair model. More...

Inherits ContextBoundObject.

## Public Types
enum | UserResponseCode : byte { END = 0, LOOK_FURTHER, MARKS_FOUND }
| Enum to determine user response (when mark confirmation via WiFi is demanded). More...
enum | AutoParkingPhase : byte { WAITING_FOR_START = 0, WALL_FOLLOWING, GOING_BACKWARDS, MARKS_TRACKING, PATH_FOLLOWING, END }
| Determines current phase of auto parking algorithm. More...
enum | PhaseError : byte { ERROR = 0, NO_ERROR }
| Determines whether auto parking phase is in error state. More...

## Public Member Functions
| WheelchairModel ()
| Constructor. More...
PointF[] | GetSurroundingRectangle ()
| Gets wheelchair-symbolizing rectangle in world coordinates. More...
PointF[] | GetDefaultSurroundingRectangle ()
| Gets wheelchair-symbolizing rectangle in world coordinates. Wheelchair coordinates are considered to be [0(x);0(y);0(phi)] More...
void | SetCoordinates (Int32 X, Int32 Y, Int32 Phi)
| Actualize wheelchair coordinates. More...

## Public Attributes
const Int32 | USER_RESPONSE_TIMEOUT_MS = 30000
| Timeout for user response when mark confirmation via WiFi is demanded [ms]. More...
const Int16 | VDES = -40
| Backward speed of wall-following [cm/s]. More...
const Byte | Y0DES = 70
| Wall-following y0 [cm]. More...
const Byte | TARGET_COORD_ALLOWED_ERROR_CM = 10
| Maximal allowed distance for target to be considered reached. More...
const UInt16 | MARK_DETECT_ROTATION_ANGLE_MRAD = 523
| Angle to rotate wheelchair when marks are not detected. More...

## Static Public Attributes
static readonly List< Brush > | WHEELCHAIR_COLOR = new List<Brush>() { new SolidBrush(Color.Black), new SolidBrush(Color.Red) }
| Colors used to draw wheelchair into world map. More...

## Properties
Int32 | X`[get]`
| X coordinate property getter. More...
Int32 | Y`[get]`
| Y coordinate property getter. More...
Int32 | Phi`[get]`
| Phi property getter. More...
AutoParkingPhase | CurrentPhase`[get, set]`
| Current phase property getter / setter. More...
Boolean | IsRegulationActive`[get, set]`
| True if any of the wheelchair's regulators is active (property getter / setter). More...
UserResponseCode | UserResponse`[get, set]`
| User response property getter / setter. More...

## Private Attributes
const Int32 | WHEELCHAIR_SIDE_SIZE_MM = 600
| Wheelchair size in mm. More...
UserResponseCode | userResponse = UserResponseCode.END
| User response when mark confirmation via WiFi is demanded. More...
Boolean | regulationInProgress = false
| True if any of the wheelchair's regulators is active. More...
AutoParkingPhase | currentPhase = AutoParkingPhase.WAITING_FOR_START
| Stores current phase of the auto praking algorithm. More...
Int32 | xCoordinate = 0
| Wheelchair X coordinate in mm. More...
Int32 | yCoordinate = 0
| Wheelchair Y coordinate in mm. More...
Int32 | phi = 0
| Wheelchair phi in mrad. More...

## Detailed Description

Wheelchair model.

System.Runtime.Remoting.Contexts.Synchronization attribute used, inherited form ContexBoundObject. Mutual exclusion provided automatically by system.

Definition at line 191 of file WorldMap.cs.

## Member Enumeration Documentation

enum World.WheelchairModel.AutoParkingPhase : byte

Determines current phase of auto parking algorithm.

Enumerator
WAITING_FOR_START | Idle phase - waiting for start.
WALL_FOLLOWING | Wall-following phase.
GOING_BACKWARDS | Backward drive.
MARKS_TRACKING | Trying to find marks.
PATH_FOLLOWING | Driving to next waypoint.
END | Algorithm ended.

Definition at line 248 of file WorldMap.cs.

enum World.WheelchairModel.PhaseError : byte

Determines whether auto parking phase is in error state.

Enumerator
ERROR | Error occured.
NO_ERROR | No error occured.

Definition at line 284 of file WorldMap.cs.

enum World.WheelchairModel.UserResponseCode : byte

Enum to determine user response (when mark confirmation via WiFi is demanded).

Enumerator
END | User demanded script end.
LOOK_FURTHER | Wrong detection, look further.
MARKS_FOUND | Marks detected, go on.

Definition at line 227 of file WorldMap.cs.

## Constructor & Destructor Documentation

World.WheelchairModel.WheelchairModel | ( |  | ) |

Constructor.

Definition at line 391 of file WorldMap.cs.

## Member Function Documentation

PointF [] World.WheelchairModel.GetDefaultSurroundingRectangle | ( |  | ) |

Gets wheelchair-symbolizing rectangle in world coordinates. Wheelchair coordinates are considered to be [0(x);0(y);0(phi)]

Returns
  Wheelchair-symbolizing rectangle.

Definition at line 428 of file WorldMap.cs.

PointF [] World.WheelchairModel.GetSurroundingRectangle | ( |  | ) |

Gets wheelchair-symbolizing rectangle in world coordinates.

Returns
  Wheelchair-symbolizing rectangle.

Definition at line 398 of file WorldMap.cs.

void World.WheelchairModel.SetCoordinates | ( | Int32 | X,
|  | Int32 | Y,
|  | Int32 | Phi
| ) |  |

Actualize wheelchair coordinates.

Parameters

  X | X coordinate [cm].
  Y | Y coordinate [cm].
  Phi | Phi [mrad].

Definition at line 459 of file WorldMap.cs.

## Member Data Documentation

AutoParkingPhase World.WheelchairModel.currentPhase = AutoParkingPhase.WAITING_FOR_START
| private

Stores current phase of the auto praking algorithm.

Definition at line 319 of file WorldMap.cs.

const UInt16 World.WheelchairModel.MARK_DETECT_ROTATION_ANGLE_MRAD = 523

Angle to rotate wheelchair when marks are not detected.

Definition at line 222 of file WorldMap.cs.

Int32 World.WheelchairModel.phi = 0
| private

Wheelchair phi in mrad.

Definition at line 334 of file WorldMap.cs.

Boolean World.WheelchairModel.regulationInProgress = false
| private

True if any of the wheelchair's regulators is active.

Definition at line 314 of file WorldMap.cs.

const Byte World.WheelchairModel.TARGET_COORD_ALLOWED_ERROR_CM = 10

Maximal allowed distance for target to be considered reached.

Definition at line 217 of file WorldMap.cs.

const Int32 World.WheelchairModel.USER_RESPONSE_TIMEOUT_MS = 30000

Timeout for user response when mark confirmation via WiFi is demanded [ms].

Definition at line 202 of file WorldMap.cs.

UserResponseCode World.WheelchairModel.userResponse = UserResponseCode.END
| private

User response when mark confirmation via WiFi is demanded.

Definition at line 309 of file WorldMap.cs.

const Int16 World.WheelchairModel.VDES = -40

Backward speed of wall-following [cm/s].

Definition at line 207 of file WorldMap.cs.

readonly List<Brush> World.WheelchairModel.WHEELCHAIR_COLOR = new List<Brush>() { new SolidBrush(Color.Black), new SolidBrush(Color.Red) }
| static

Colors used to draw wheelchair into world map.

Definition at line 197 of file WorldMap.cs.

const Int32 World.WheelchairModel.WHEELCHAIR_SIDE_SIZE_MM = 600
| private

Wheelchair size in mm.

Definition at line 300 of file WorldMap.cs.

Int32 World.WheelchairModel.xCoordinate = 0
| private

Wheelchair X coordinate in mm.

Definition at line 324 of file WorldMap.cs.

const Byte World.WheelchairModel.Y0DES = 70

Wall-following y0 [cm].

Definition at line 212 of file WorldMap.cs.

Int32 World.WheelchairModel.yCoordinate = 0
| private

Wheelchair Y coordinate in mm.

Definition at line 329 of file WorldMap.cs.

## Property Documentation

AutoParkingPhase World.WheelchairModel.CurrentPhase
| get set

Current phase property getter / setter.

Definition at line 362 of file WorldMap.cs.

Boolean World.WheelchairModel.IsRegulationActive
| get set

True if any of the wheelchair's regulators is active (property getter / setter).

Definition at line 371 of file WorldMap.cs.

Int32 World.WheelchairModel.Phi
| get

Phi property getter.

Definition at line 356 of file WorldMap.cs.

UserResponseCode World.WheelchairModel.UserResponse
| get set

User response property getter / setter.

See Also
  UserResponseCode

Definition at line 381 of file WorldMap.cs.

Int32 World.WheelchairModel.X
| get

X coordinate property getter.

Definition at line 344 of file WorldMap.cs.

Int32 World.WheelchairModel.Y
| get

Y coordinate property getter.

Definition at line 350 of file WorldMap.cs.

The documentation for this class was generated from the following file:

- C:/Users/Ondra/Desktop/Wheelchair Control/WorldMap.cs